package com.vetti.hotake.mapper;

import java.util.List;
import com.vetti.hotake.domain.HotakeRolesInfo;

/**
 * 岗位信息Mapper接口
 * 
 * @author wangxiangshun
 * @date 2025-12-11
 */
public interface HotakeRolesInfoMapper 
{
    /**
     * 查询岗位信息
     * 
     * @param id 岗位信息主键
     * @return 岗位信息
     */
    public HotakeRolesInfo selectHotakeRolesInfoById(Long id);

    /**
     * 查询岗位信息列表
     * 
     * @param hotakeRolesInfo 岗位信息
     * @return 岗位信息集合
     */
    public List<HotakeRolesInfo> selectHotakeRolesInfoList(HotakeRolesInfo hotakeRolesInfo);

    /**
     * 新增岗位信息
     * 
     * @param hotakeRolesInfo 岗位信息
     * @return 结果
     */
    public int insertHotakeRolesInfo(HotakeRolesInfo hotakeRolesInfo);

    /**
     * 修改岗位信息
     * 
     * @param hotakeRolesInfo 岗位信息
     * @return 结果
     */
    public int updateHotakeRolesInfo(HotakeRolesInfo hotakeRolesInfo);

    /**
     * 删除岗位信息
     * 
     * @param id 岗位信息主键
     * @return 结果
     */
    public int deleteHotakeRolesInfoById(Long id);

    /**
     * 批量删除岗位信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHotakeRolesInfoByIds(Long[] ids);
    /**
     * 批量新增岗位信息
     *
     * @param hotakeRolesInfoList 岗位信息列表
     * @return 结果
     */
    public int batchInsertHotakeRolesInfo(List<HotakeRolesInfo> hotakeRolesInfoList);


    /**
     * 修改岗位信息
     *
     * @param hotakeRolesInfo 岗位信息
     * @return 结果
     */
    public int updateAllHotakeRolesInfo(HotakeRolesInfo hotakeRolesInfo);


}
